package jp.co.kayo.android.flydroid;
/***
 * Copyright (c) 2010-2012 Re:Kayo-System, Ltd. All rights reserved.
 *
 *  This program is free software; you can redistribute it and/or modify it under
 *  the terms of the GNU General Public License as published by the Free Software
 *  Foundation; either version 2 of the License, or (at your option) any later
 *  version.
 *
 *  This program is distributed in the hope that it will be useful, but WITHOUT
 *  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *  FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 *  details.
 *
 *  You should have received a copy of the GNU General Public License along with
 *  this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 *  Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

import java.util.concurrent.TimeUnit;

/***
 * 世界を扱うための固定値達
 * 
 * @author yokmama
 *
 */
public interface Consts {
    // 1秒（ナノ秒単位）
    // Memo:final属性をつけると、あとでその値を変更できません。
    // Q:　final属性をつけるメリットは？
    public static final long ONE_SECONDS_TO_NANO = TimeUnit.SECONDS.toNanos(1L); 
    // 1ミリ秒（ナノ秒単位）
    public static final long ONE_MILLISECONDS_TO_NANO = TimeUnit.MILLISECONDS.toNanos(1L);
    // フレームレート
    public static final long FRAME_RATE = ONE_SECONDS_TO_NANO/50;
}
